! main.f90: main program for fidgrm
!
! Author: Yang Liu
!
! Last modified: 01/10/2014
!
! Dependency:
!   io: input/output module
!   mcmc: mcmc algorithm

program main
  use io
  use mcmc
  implicit none

  call get_command_argument(1, cfile)
  call input_nml()  ! input and setup
  call run()    ! run MCMC sampler 

end program main
